<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleSchoolManagerAPI/Get-Org-Devices",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple School Manager API"
    ],
    "preciseIdentifier" : "rest:AppleSchoolManagerAPI:get:v1-orgDevices"
  },
  "title" : "Get Organization Devices"
}
-->

# Get Organization Devices

Get a list of devices in an organization that enroll using Automated Device Enrollment.

## Overview

### Example

**Request:**

```
curl "https://api-school.apple.com/v1/orgDevices" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
    {
    "data": [
      {
        "type": "orgDevices",
        "id": "XABC123X0ABC123X0",
        "attributes": {
          "serialNumber": "XABC123X0ABC123X0",
          "addedToOrgDateTime": "2025-04-30T22:05:14.192Z",
          "releasedFromOrgDateTime": null,
          "updatedDateTime": "2025-05-01T15:33:54.164Z",
          "deviceModel": "iMac 21.5\"",
          "productFamily": "Mac",
          "productType": "iMac16,2",
          "deviceCapacity": "750GB",
          "partNumber": "FD311LL/A",
          "orderNumber": "1234567890",
          "color": "SILVER",
          "status": "UNASSIGNED",
          "orderDateTime": "2011-08-15T07:00:00Z",
          "imei": [
            "123456789012345",
            "123456789012346"
          ],
          "meid": [
            "123456789012347"
          ],
          "eid": "89049037640158663184237812557346",
          "purchaseSourceUid": "-2085650007946880",
          "purchaseSourceType": "APPLE"
        },
        "relationships": {
          "assignedServer": {
            "links": {
              "self": "https://api-school.apple.com/v1/orgDevices/XABC123X0ABC123X0/relationships/assignedServer",
              "related": "https://api-school.apple.com/v1/orgDevices/XABC123X0ABC123X0/assignedServer"
            }
          },
          "appleCareCoverage": {
            "links": {
              "related": "https://api-school.apple.com/v1/orgDevices/XABC123X0ABC123X0/appleCareCoverage"
            }
          }
        },
        "links": {
          "self": "https://api-school.apple.com/v1/orgDevices/XABC123X0ABC123X0"
        }
      }
    ],
    "links": {
      "self": "https://api-school.apple.com/v1/orgDevices",
      "next": "https://api-school.apple.com/v1/orgDevices?cursor=MDowOjE3NDYxMTM4OTI1OTA6MTc0NjExMzg5MjU5MDp0cnVlOmZhbHNlOjE3NDYxMTM4OTI1OTA"
    },
    "meta": {
      "paging": {
        "nextCursor": "MDowOjE3NDYxMTM4OTI1OTA6MTc0NjExMzg5MjU5MDp0cnVlOmZhbHNlOjE3NDYxMTM4OTI1OTA",
        "limit": 100
      }
    }
  }
```

## Topics

### Responses

[`OrgDevicesResponse`](/documentation/AppleSchoolManagerAPI/OrgDevicesResponse)

A response that contains a list of organization device resources.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)